﻿using FichaBackend.Models;
using Microsoft.EntityFrameworkCore;

namespace FichaBackend
{
    public class DatabaseContext : DbContext
    {
        public DbSet<City> Cities { get; set; } = null!;
        public DbSet<Film> Films { get; set; } = null!;
        public DbSet<CardQuestion> CardQuestions { get; set; } = null!;
        public DbSet<Museum> Museums { get; set; } = null!;
        public DbSet<Guide> Guides { get; set; } = null!;
        public DbSet<Attraction> Attractions { get; set; } = null!;
        public DbSet<Hotel> Hotels { get; set; } = null!;

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
        }

        public DatabaseContext(DbContextOptions<DatabaseContext> options) : base(options) { }
    }
}
