﻿namespace FichaBackend.Utils;

public static class Extensions
{
    private static readonly Random Rand = new Random();
 
    public static void Shuffle<T>(this IList<T> values)
    {
        for (int i = values.Count - 1; i > 0; i--) {
            int k = Rand.Next(i + 1);
            (values[k], values[i]) = (values[i], values[k]);
        }
    }
}